- Qt 6.4
- Qt Quick 3D Physics
- QML Types
- HeightFieldShape
- Qt Quick 3D Physics | Commercial or GPLv3

# HeightFieldShape QML Type

Height field shape. More...

Import Statement: | import QtQuick3DPhysics
Since: | Qt 6.4
Inherits: | CollisionShape

- List of all members, including inherited members

## Properties

- extents : vector3d
- heightMap : url

## Detailed Description

This is the height-field shape.

## Property Documentation

extents : vector3d

This property defines the extents of the height field. The default value is `(100, 100, 100)` when the heightMap is square. When the heightMap is non-square, the default value is reduced along the x- or z-axis so the height field will keep the aspect ratio of the image.

heightMap : url

This property defines the location of the heightMap file.